name:                mastodon-fetch
version:             0.1.0.0
license:             BSD3
author:              "Artem Yurchenko"
maintainer:          "artemyurchenko@zoho.com"
copyright:           "2020 Artem Yurchenko"

ghc-options:
- -Wall

dependencies:
- base >= 4.7 && < 5

library:
  source-dirs: src
  dependencies:
  - aeson
  - bytestring
  - free
  - http-conduit
  - mtl
  - time

executables:
  mastodon-fetch-exe:
    main:                Main.hs
    source-dirs:         app
    ghc-options:
    - -threaded
    - -rtsopts
    - -with-rtsopts=-N
    dependencies:
    - cmdargs
    - mastodon-fetch
    - time


tests:
  mastodon-fetch-test:
    main:                test.hs
    source-dirs:         test
    ghc-options:
    - -threaded
    - -rtsopts
    - -with-rtsopts=-N
    dependencies:
    - free
    - hspec-expectations
    - mastodon-fetch
    - tasty
    - tasty-hunit
    - time
